cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/custom_forms/cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_forms.get_settings_custom_form(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customForms.getSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customForms->getSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_forms.custom_forms_dto.CustomFormsDto.SettingsCustomForm;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomForm> response = client.customForms().getSettingsCustomForm(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomForms.GetSettingsCustomFormAsync("cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customForms.getSettingsCustomForm(
'cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomForms().GetSettingsCustomForm(context.Background(), "cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_form": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_system_template": true,
"for_default_template": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Custom forms
Retrieve a custom form
Returns one custom form, under custom_form.
GET
/
settings
/
custom_forms
/
{custom_form_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/custom_forms/cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_forms.get_settings_custom_form(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customForms.getSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customForms->getSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_forms.custom_forms_dto.CustomFormsDto.SettingsCustomForm;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomForm> response = client.customForms().getSettingsCustomForm(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomForms.GetSettingsCustomFormAsync("cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customForms.getSettingsCustomForm(
'cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomForms().GetSettingsCustomForm(context.Background(), "cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_form": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_system_template": true,
"for_default_template": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads a single custom form by its
cf_ id, with its name, display name, description and template flags.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom form's id, which starts with cf_.
Response
The custom form, under custom_form.
Show child attributes
Show child attributes